> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# v1 to v2 (Enterprise)

> Migrate from the Enterprise Search Posts API to X API v2 with a side-by-side comparison of pagination, timezones, Post edit history, and metadata fields.

### Enterprise compared to X API v2

**Similarities**

* Pagination
* Timezone
* Support for Post edit history and metadata. 

**Differences**

* Endpoint URLs
* App and Project requirement
* Available time periods
* Response data format
* HTTP methods
* Request time formats
* Request parameters
* Filtering operators

#### Similarities

**Pagination**

While v2 has additional pagination features (new pagination parameters that allow you to navigate using Post IDs with `since_id` and `until_id`), both enterprise and v2 allow you to paginate using time (`fromDate` and `toDate` with enterprise, and `start_time` and `end_time` for v2).
 

**Timezone**

As noted in the pagination section, you can navigate different pages of data using time for both enterprise and v2. In both cases, you will be using UTC as the timezone when using these parameters.

**Support for Post edit history and metadata**

Both versions provide metadata that describes any edit history. Check out the [search API References](/x-api/posts/recent-search) and the[Post edits fundamentals page](/x-api/fundamentals/edit-posts) for more details. 

#### Differences

**Endpoint URLs**

* Enterprise endpoints:
  * 30 day - `http://gnip-api.x.com/search/30day/accounts/:account_name/:label.json`
  * Full-archive - `http://gnip-api.x.com/search/fullarchive/accounts/:account_name/:label.json`
* X API v2 endpoints
  * Recent (7 day) - `https://api.x.com/2/tweets/search/recent`
  * Full-archive - `https://api.x.com/2/tweets/search/all`

**App and Project requirement**

The X API v2 endpoints require that you use credentials from a Project when authenticating your requests. All X API v1.1 endpoints can use credentials from Apps or Apps associated with an App.
 

**Available time periods**

Both
